cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/get_cancel_on_disconnect \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 220,
"method": "private/get_cancel_on_disconnect",
"params": {
"scope": "account"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_cancel_on_disconnect"
payload = {
"jsonrpc": "2.0",
"id": 220,
"method": "private/get_cancel_on_disconnect",
"params": { "scope": "account" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 220,
method: 'private/get_cancel_on_disconnect',
params: {scope: 'account'}
})
};
fetch('https://test.deribit.com/api/v2/private/get_cancel_on_disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 220,
"result": {
"scope": "account",
"enabled": false
}
}Session Management
private/get_cancel_on_disconnect
Read current Cancel On Disconnect configuration for the account.
Scope: account:read
cURL
Query Parameters
Specifies if Cancel On Disconnect change should be applied/checked for the current connection or the account (default - connection)
NOTICE: Scope connection can be used only when working via Websocket.
Available options:
connection, account Response
200 - application/json
Success response
The JSON-RPC version (2.0)
Available options:
2.0 The id that was sent in the request
Was this page helpful?
⌘I